import { type UmbDocumentVariantOptionModel } from '../../types.js';
import { type PropertyValues } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbSelectionManager } from '../../../../core/utils/index.js';
export declare class UmbDocumentVariantLanguagePickerElement extends UmbLitElement {
    #private;
    get variantLanguageOptions(): Array<UmbDocumentVariantOptionModel>;
    set variantLanguageOptions(value: Array<UmbDocumentVariantOptionModel>);
    set selectionManager(value: UmbSelectionManager<string>);
    get selectionManager(): UmbSelectionManager<string>;
    private _selection;
    private _isAllSelected;
    /**
     * A filter function that determines if an item is pickableFilter or not.
     * @memberof UmbDocumentVariantLanguagePickerElement
     * @returns {boolean} - True if the item is pickableFilter, false otherwise.
     */
    pickableFilter?: (item: UmbDocumentVariantOptionModel) => boolean;
    /**
     * A filter function that determines if an item should be highlighted as a must select.
     * @memberof UmbDocumentVariantLanguagePickerElement
     * @returns {boolean} - True if the item is pickableFilter, false otherwise.
     */
    requiredFilter?: (item: UmbDocumentVariantOptionModel) => boolean;
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    static renderLabel(option: UmbDocumentVariantOptionModel, mustSelect?: boolean): import("lit-html").TemplateResult<1>;
    static renderVariantStatus(option: UmbDocumentVariantOptionModel): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDocumentVariantLanguagePickerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-variant-language-picker': UmbDocumentVariantLanguagePickerElement;
    }
}
